Bug 590399 - SELinux is preventing /bin/bash "getattr" access on /etc/passwd.
SELinux is preventing /bin/bash "getattr" access on /etc/passwd.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:f18917467c8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 06:47 EDT by Kayo
Modified: 2010-06-23 04:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 04:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kayo 2010-05-09 06:47:18 EDT
Podsumowanie:

SELinux is preventing /bin/bash "getattr" access on /etc/passwd.

Szczegółowy opis:

[if_err_eth0 posiada typ zezwalania (munin_system_plugin_t). Ten dostęp nie
został odmówiony.]

SELinux denied access requested by open_files. It is not expected that this
access is required by open_files and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zezwalanie na dostęp:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Dodatkowe informacje:

Kontekst źródłowy          system_u:system_r:munin_system_plugin_t:s0
Kontekst docelowy             system_u:object_r:etc_t:s0
Obiekty docelowe              /etc/passwd [ file ]
Źródło                     if_err_eth0
Ścieżka źródłowa         /bin/bash
Port                          <Nieznane>
Komputer                      (removed)
Źródłowe pakiety RPM       bash-4.0.35-3.fc12
Docelowe pakiety RPM          setup-2.8.9-1.fc12
Pakiet RPM polityki           selinux-policy-3.6.32-113.fc12
SELinux jest włączony       True
Typ polityki                  targeted
Tryb wymuszania               Enforcing
Nazwa wtyczki                 catchall
Nazwa komputera               (removed)
Platforma                     Linux (removed) 2.6.32.11-99.fc12.i686 #1 SMP Mon
                              Apr 5 16:32:08 EDT 2010 i686 i686
Liczba alarmów               4
Po raz pierwszy               sob, 8 maj 2010, 21:13:26
Po raz ostatni                nie, 9 maj 2010, 12:43:02
Lokalny identyfikator         62aa5614-2456-4420-8685-812b1797c529
Liczba wierszy                

Surowe komunikaty audytu      

node=(removed) type=AVC msg=audit(1273401782.424:14): avc:  denied  { getattr } for  pid=2641 comm="open_files" path="/etc/passwd" dev=dm-3 ino=477455 scontext=system_u:system_r:munin_system_plugin_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273401782.424:14): arch=40000003 syscall=197 success=yes exit=0 a0=3 a1=bfca6c5c a2=b8cff4 a3=889a438 items=0 ppid=2239 pid=2641 auid=4294967295 uid=493 gid=488 euid=493 suid=493 fsuid=493 egid=488 sgid=488 fsgid=488 tty=(none) ses=4294967295 comm="open_files" exe="/bin/bash" subj=system_u:system_r:munin_system_plugin_t:s0 key=(null)



Hash String generated from  catchall,if_err_eth0,munin_system_plugin_t,etc_t,file,getattr
audit2allow suggests:

#============= munin_system_plugin_t ==============
allow munin_system_plugin_t etc_t:file getattr;
Comment 1 Miroslav Grepl 2010-05-10 06:28:51 EDT
Did you modify the open_files munin plugin? I am not seeing this.


Dan,
in any case 

files_read_etc_files(munin_system_plugin_t)

is needed.

Note You need to log in before you can comment on or make changes to this bug.